//=============================================================================
// MSC121x HAL
// by (nexp76@naver.com)
// [msc121x_hal.h]
//=============================================================================

/*
 [2007.02.22]  
 - msc121x uart 

 [2007.01.02] 
 - UART0 HAL 
 - printf -> U0_printf  
 
 
*/

#include <REG1212.H>
#include <stdio.h>

sbit P3_7 = P3^7;
sbit P3_6 = P3^6;
sbit P3_5 = P3^5;
sbit P3_4 = P3^4;
sbit P3_3 = P3^3;
sbit P3_2 = P3^2;
sbit P3_1 = P3^1;
sbit P3_0 = P3^0;
//-----------------------------------------------------------------------------
//SYSTEM Fuction Declaration
void Set_DCO (void);
void SystemInit(void);
void Delay(unsigned int Time);


// Enter interrupt	
#define disable()        			EA=0
#define enable()         			EA=1
//-----------------------------------------------------------------------------

void Delay(unsigned int Time)
{
    unsigned int i, j;
    for(i=0;i<Time;i++)
	   	for(j=0;j<100;j++);
}

void SystemInit(void)
{
	CKCON = 0;                        // 0 MOVX cycle stretch
	PDCON = 0x14;                     // turn on ADC-Vref, SPI and Systimers	
}

#define Led1Init()
#define Led1On()						(P3_3 = 0)
#define Led1Off()						(P3_3 = 1)
#define Led1Toggle()					(P3_3 ^= 1)



//------------------------------------------------------------------------------


